Subject: bug#27778: Changing package source URLs from git:// to https://

From: ng0 <[email-masked]>
Date: Sun, 27 Aug 2017 23:41:13 +0000

Leo Famulari transcribed 3.2K bytes:
> On Thu, Jul 20, 2017 at 06:06:31PM -0400, Leo Famulari wrote:
> > Let's change these packages to use HTTPS or HTTP!
> 
> Well, I don't know any benefit to using HTTP over GIT, so I'm not going
> to change the packages whose sources are not available over HTTPS.
> 
> Not available over HTTPS, as far as I can tell:

Yep, 2f30.org and psyced.org have no http/https access for the git.
psyced.org has an .onion which is advised to be used, but we can't
take on the position that it is generally safe to use tor without
risks for everyone.

…
> > suckless.scm:               (url "git://git.2f30.org/human.git")
…
> > messaging.scm:                    (url "git://git.psyced.org/git/psyclpc")
…

-- 
ng0
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://n0is.noblogs.org/my-keys
https://www.infotropique.org https://krosos.org